EJBQLTreeConstants (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.ejbql.parser, interface: EJBQLTreeConstants

# Interface EJBQLTreeConstants

All Known Implementing Classes:
  `EJBQL`

public interface EJBQLTreeConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `JJTABS`
  `static final int`
  `JJTABSTRACTSCHEMANAME`
  `static final int`
  `JJTADD`
  `static final int`
  `JJTAGGREGATE`
  `static final int`
  `JJTALL`
  `static final int`
  `JJTAND`
  `static final int`
  `JJTANY`
  `static final int`
  `JJTASCENDING`
  `static final int`
  `JJTAVERAGE`
  `static final int`
  `JJTBETWEEN`
  `static final int`
  `JJTBOOLEANLITERAL`
  `static final int`
  `JJTCLASSNAME`
  `static final int`
  `JJTCONCAT`
  `static final int`
  `JJTCONSTRUCTOR`
  `static final int`
  `JJTCONSTRUCTORPARAMETER`
  `static final int`
  `JJTCONSTRUCTORPARAMETERS`
  `static final int`
  `JJTCOUNT`
  `static final int`
  `JJTCURRENTDATE`
  `static final int`
  `JJTCURRENTTIME`
  `static final int`
  `JJTCURRENTTIMESTAMP`
  `static final int`
  `JJTDBPATH`
  `static final int`
  `JJTDECIMALLITERAL`
  `static final int`
  `JJTDELETE`
  `static final int`
  `JJTDESCENDING`
  `static final int`
  `JJTDISTINCT`
  `static final int`
  `JJTDIVIDE`
  `static final int`
  `JJTEQUALS`
  `static final int`
  `JJTESCAPECHARACTER`
  `static final int`
  `JJTEXISTS`
  `static final int`
  `JJTFROM`
  `static final int`
  `JJTFROMITEM`
  `static final int`
  `JJTGREATEROREQUAL`
  `static final int`
  `JJTGREATERTHAN`
  `static final int`
  `JJTGROUPBY`
  `static final int`
  `JJTHAVING`
  `static final int`
  `JJTIDENTIFICATIONVARIABLE`
  `static final int`
  `JJTIDENTIFIER`
  `static final int`
  `JJTIN`
  `static final int`
  `JJTINNERFETCHJOIN`
  `static final int`
  `JJTINNERJOIN`
  `static final int`
  `JJTINTEGERLITERAL`
  `static final int`
  `JJTISEMPTY`
  `static final int`
  `JJTISNULL`
  `static final int`
  `JJTLENGTH`
  `static final int`
  `JJTLESSOREQUAL`
  `static final int`
  `JJTLESSTHAN`
  `static final int`
  `JJTLIKE`
  `static final int`
  `JJTLOCATE`
  `static final int`
  `JJTLOWER`
  `static final int`
  `JJTMAX`
  `static final int`
  `JJTMEMBEROF`
  `static final int`
  `JJTMIN`
  `static final int`
  `JJTMOD`
  `static final int`
  `JJTMULTIPLY`
  `static final int`
  `JJTNAMEDINPUTPARAMETER`
  `static final int`
  `JJTNEGATIVE`
  `static final String[]`
  `jjtNodeName`
  `static final int`
  `JJTNOT`
  `static final int`
  `JJTNOTEQUALS`
  `static final int`
  `JJTOR`
  `static final int`
  `JJTORDERBY`
  `static final int`
  `JJTORDERBYITEM`
  `static final int`
  `JJTOUTERFETCHJOIN`
  `static final int`
  `JJTOUTERJOIN`
  `static final int`
  `JJTPATH`
  `static final int`
  `JJTPATTERNVALUE`
  `static final int`
  `JJTPOSITIONALINPUTPARAMETER`
  `static final int`
  `JJTSELECT`
  `static final int`
  `JJTSELECTCLAUSE`
  `static final int`
  `JJTSELECTEXPRESSION`
  `static final int`
  `JJTSELECTEXPRESSIONS`
  `static final int`
  `JJTSIZE`
  `static final int`
  `JJTSQRT`
  `static final int`
  `JJTSTRINGLITERAL`
  `static final int`
  `JJTSUBSELECT`
  `static final int`
  `JJTSUBSTRING`
  `static final int`
  `JJTSUBTRACT`
  `static final int`
  `JJTSUM`
  `static final int`
  `JJTTOK`
  `static final int`
  `JJTTRIM`
  `static final int`
  `JJTTRIMBOTH`
  `static final int`
  `JJTTRIMCHARACTER`
  `static final int`
  `JJTTRIMLEADING`
  `static final int`
  `JJTTRIMTRAILING`
  `static final int`
  `JJTUPDATE`
  `static final int`
  `JJTUPDATEFIELD`
  `static final int`
  `JJTUPDATEITEM`
  `static final int`
  `JJTUPDATEVALUE`
  `static final int`
  `JJTUPPER`
  `static final int`
  `JJTVOID`
  `static final int`
  `JJTWHERE`

- ## Field Details

  - ### JJTVOID

    static final int JJTVOID
    See Also:
      - Constant Field Values

  - ### JJTSELECT

    static final int JJTSELECT
    See Also:
      - Constant Field Values

  - ### JJTUPDATE

    static final int JJTUPDATE
    See Also:
      - Constant Field Values

  - ### JJTDELETE

    static final int JJTDELETE
    See Also:
      - Constant Field Values

  - ### JJTFROM

    static final int JJTFROM
    See Also:
      - Constant Field Values

  - ### JJTFROMITEM

    static final int JJTFROMITEM
    See Also:
      - Constant Field Values

  - ### JJTINNERJOIN

    static final int JJTINNERJOIN
    See Also:
      - Constant Field Values

  - ### JJTOUTERJOIN

    static final int JJTOUTERJOIN
    See Also:
      - Constant Field Values

  - ### JJTOUTERFETCHJOIN

    static final int JJTOUTERFETCHJOIN
    See Also:
      - Constant Field Values

  - ### JJTINNERFETCHJOIN

    static final int JJTINNERFETCHJOIN
    See Also:
      - Constant Field Values

  - ### JJTDBPATH

    static final int JJTDBPATH
    See Also:
      - Constant Field Values

  - ### JJTPATH

    static final int JJTPATH
    See Also:
      - Constant Field Values

  - ### JJTUPDATEITEM

    static final int JJTUPDATEITEM
    See Also:
      - Constant Field Values

  - ### JJTUPDATEFIELD

    static final int JJTUPDATEFIELD
    See Also:
      - Constant Field Values

  - ### JJTUPDATEVALUE

    static final int JJTUPDATEVALUE
    See Also:
      - Constant Field Values

  - ### JJTSELECTCLAUSE

    static final int JJTSELECTCLAUSE
    See Also:
      - Constant Field Values

  - ### JJTSELECTEXPRESSIONS

    static final int JJTSELECTEXPRESSIONS
    See Also:
      - Constant Field Values

  - ### JJTSELECTEXPRESSION

    static final int JJTSELECTEXPRESSION
    See Also:
      - Constant Field Values

  - ### JJTCONSTRUCTOR

    static final int JJTCONSTRUCTOR
    See Also:
      - Constant Field Values

  - ### JJTCLASSNAME

    static final int JJTCLASSNAME
    See Also:
      - Constant Field Values

  - ### JJTCONSTRUCTORPARAMETERS

    static final int JJTCONSTRUCTORPARAMETERS
    See Also:
      - Constant Field Values

  - ### JJTCONSTRUCTORPARAMETER

    static final int JJTCONSTRUCTORPARAMETER
    See Also:
      - Constant Field Values

  - ### JJTAGGREGATE

    static final int JJTAGGREGATE
    See Also:
      - Constant Field Values

  - ### JJTDISTINCT

    static final int JJTDISTINCT
    See Also:
      - Constant Field Values

  - ### JJTCOUNT

    static final int JJTCOUNT
    See Also:
      - Constant Field Values

  - ### JJTAVERAGE

    static final int JJTAVERAGE
    See Also:
      - Constant Field Values

  - ### JJTMAX

    static final int JJTMAX
    See Also:
      - Constant Field Values

  - ### JJTMIN

    static final int JJTMIN
    See Also:
      - Constant Field Values

  - ### JJTSUM

    static final int JJTSUM
    See Also:
      - Constant Field Values

  - ### JJTWHERE

    static final int JJTWHERE
    See Also:
      - Constant Field Values

  - ### JJTGROUPBY

    static final int JJTGROUPBY
    See Also:
      - Constant Field Values

  - ### JJTHAVING

    static final int JJTHAVING
    See Also:
      - Constant Field Values

  - ### JJTSUBSELECT

    static final int JJTSUBSELECT
    See Also:
      - Constant Field Values

  - ### JJTOR

    static final int JJTOR
    See Also:
      - Constant Field Values

  - ### JJTAND

    static final int JJTAND
    See Also:
      - Constant Field Values

  - ### JJTNOT

    static final int JJTNOT
    See Also:
      - Constant Field Values

  - ### JJTBETWEEN

    static final int JJTBETWEEN
    See Also:
      - Constant Field Values

  - ### JJTIN

    static final int JJTIN
    See Also:
      - Constant Field Values

  - ### JJTLIKE

    static final int JJTLIKE
    See Also:
      - Constant Field Values

  - ### JJTISNULL

    static final int JJTISNULL
    See Also:
      - Constant Field Values

  - ### JJTISEMPTY

    static final int JJTISEMPTY
    See Also:
      - Constant Field Values

  - ### JJTMEMBEROF

    static final int JJTMEMBEROF
    See Also:
      - Constant Field Values

  - ### JJTEXISTS

    static final int JJTEXISTS
    See Also:
      - Constant Field Values

  - ### JJTANY

    static final int JJTANY
    See Also:
      - Constant Field Values

  - ### JJTALL

    static final int JJTALL
    See Also:
      - Constant Field Values

  - ### JJTEQUALS

    static final int JJTEQUALS
    See Also:
      - Constant Field Values

  - ### JJTNOTEQUALS

    static final int JJTNOTEQUALS
    See Also:
      - Constant Field Values

  - ### JJTGREATERTHAN

    static final int JJTGREATERTHAN
    See Also:
      - Constant Field Values

  - ### JJTGREATEROREQUAL

    static final int JJTGREATEROREQUAL
    See Also:
      - Constant Field Values

  - ### JJTLESSTHAN

    static final int JJTLESSTHAN
    See Also:
      - Constant Field Values

  - ### JJTLESSOREQUAL

    static final int JJTLESSOREQUAL
    See Also:
      - Constant Field Values

  - ### JJTADD

    static final int JJTADD
    See Also:
      - Constant Field Values

  - ### JJTSUBTRACT

    static final int JJTSUBTRACT
    See Also:
      - Constant Field Values

  - ### JJTMULTIPLY

    static final int JJTMULTIPLY
    See Also:
      - Constant Field Values

  - ### JJTDIVIDE

    static final int JJTDIVIDE
    See Also:
      - Constant Field Values

  - ### JJTNEGATIVE

    static final int JJTNEGATIVE
    See Also:
      - Constant Field Values

  - ### JJTCONCAT

    static final int JJTCONCAT
    See Also:
      - Constant Field Values

  - ### JJTSUBSTRING

    static final int JJTSUBSTRING
    See Also:
      - Constant Field Values

  - ### JJTTRIM

    static final int JJTTRIM
    See Also:
      - Constant Field Values

  - ### JJTLOWER

    static final int JJTLOWER
    See Also:
      - Constant Field Values

  - ### JJTUPPER

    static final int JJTUPPER
    See Also:
      - Constant Field Values

  - ### JJTTRIMLEADING

    static final int JJTTRIMLEADING
    See Also:
      - Constant Field Values

  - ### JJTTRIMTRAILING

    static final int JJTTRIMTRAILING
    See Also:
      - Constant Field Values

  - ### JJTTRIMBOTH

    static final int JJTTRIMBOTH
    See Also:
      - Constant Field Values

  - ### JJTLENGTH

    static final int JJTLENGTH
    See Also:
      - Constant Field Values

  - ### JJTLOCATE

    static final int JJTLOCATE
    See Also:
      - Constant Field Values

  - ### JJTABS

    static final int JJTABS
    See Also:
      - Constant Field Values

  - ### JJTSQRT

    static final int JJTSQRT
    See Also:
      - Constant Field Values

  - ### JJTMOD

    static final int JJTMOD
    See Also:
      - Constant Field Values

  - ### JJTSIZE

    static final int JJTSIZE
    See Also:
      - Constant Field Values

  - ### JJTCURRENTDATE

    static final int JJTCURRENTDATE
    See Also:
      - Constant Field Values

  - ### JJTCURRENTTIME

    static final int JJTCURRENTTIME
    See Also:
      - Constant Field Values

  - ### JJTCURRENTTIMESTAMP

    static final int JJTCURRENTTIMESTAMP
    See Also:
      - Constant Field Values

  - ### JJTORDERBY

    static final int JJTORDERBY
    See Also:
      - Constant Field Values

  - ### JJTORDERBYITEM

    static final int JJTORDERBYITEM
    See Also:
      - Constant Field Values

  - ### JJTASCENDING

    static final int JJTASCENDING
    See Also:
      - Constant Field Values

  - ### JJTDESCENDING

    static final int JJTDESCENDING
    See Also:
      - Constant Field Values

  - ### JJTABSTRACTSCHEMANAME

    static final int JJTABSTRACTSCHEMANAME
    See Also:
      - Constant Field Values

  - ### JJTTOK

    static final int JJTTOK
    See Also:
      - Constant Field Values

  - ### JJTIDENTIFIER

    static final int JJTIDENTIFIER
    See Also:
      - Constant Field Values

  - ### JJTIDENTIFICATIONVARIABLE

    static final int JJTIDENTIFICATIONVARIABLE
    See Also:
      - Constant Field Values

  - ### JJTINTEGERLITERAL

    static final int JJTINTEGERLITERAL
    See Also:
      - Constant Field Values

  - ### JJTDECIMALLITERAL

    static final int JJTDECIMALLITERAL
    See Also:
      - Constant Field Values

  - ### JJTBOOLEANLITERAL

    static final int JJTBOOLEANLITERAL
    See Also:
      - Constant Field Values

  - ### JJTSTRINGLITERAL

    static final int JJTSTRINGLITERAL
    See Also:
      - Constant Field Values

  - ### JJTNAMEDINPUTPARAMETER

    static final int JJTNAMEDINPUTPARAMETER
    See Also:
      - Constant Field Values

  - ### JJTPOSITIONALINPUTPARAMETER

    static final int JJTPOSITIONALINPUTPARAMETER
    See Also:
      - Constant Field Values

  - ### JJTPATTERNVALUE

    static final int JJTPATTERNVALUE
    See Also:
      - Constant Field Values

  - ### JJTESCAPECHARACTER

    static final int JJTESCAPECHARACTER
    See Also:
      - Constant Field Values

  - ### JJTTRIMCHARACTER

    static final int JJTTRIMCHARACTER
    See Also:
      - Constant Field Values

  - ### jjtNodeName

    static final String[] jjtNodeName